Skip to main content
PATCH
Update webhook

Path Parameters

workspaceSlug
string
required

URL-safe workspace identifier.

webhookId
string
required

Opaque identifier of the webhook.

Pattern: ^whk_[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

Body

application/json

Request payload for updating an existing workspace webhook.

Request payload for updating an existing workspace webhook.

description
string

Updated description of the webhook's purpose (max 500 characters).

Maximum string length: 500
displayName
string

Updated human-readable name for the webhook (1-128 characters).

Required string length: 1 - 128
events
string[]

Updated list of event types this webhook should receive.

Defines the types of events that can trigger webhook delivery.

This enumeration corresponds to the WEBHOOK_EVENT PostgreSQL enum and is used to configure which events a webhook should receive notifications for.

Allowed value: "file.created"
headers
object

Updated custom headers to include in webhook requests.

status

Updated status (enabled or disabled). Ignored while the webhook is system-suspended.

Allowed value: "enabled"
url
string<uri>

Updated URL to send webhook payloads to.

Maximum string length: 2048

Response

Workspace webhook response.

Workspace webhook response.

consecutiveFailures
integer<int32>
required

Consecutive failed deliveries since the last success.

createdAt
string<date-time>
required

Timestamp when this webhook was first created.

createdBy
object
required

Account that created this webhook.

description
string
required

Detailed description of the webhook's purpose.

displayName
string
required

Human-readable name for the webhook.

events
string[]
required

List of event types this webhook receives.

Defines the types of events that can trigger webhook delivery.

This enumeration corresponds to the WEBHOOK_EVENT PostgreSQL enum and is used to configure which events a webhook should receive notifications for.

Allowed value: "file.created"
headers
object
required

Custom headers included in webhook requests.

id
string
required

Opaque identifier of the webhook.

Pattern: ^whk_[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
status
required

Current status of the webhook.

Allowed value: "enabled"
updatedAt
string<date-time>
required

Timestamp when this webhook was last modified.

url
string
required

The URL to send webhook payloads to.

workspaceSlug
string
required

Handle of the workspace this webhook belongs to.

Required string length: 3 - 32
Pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$
lastFailureAt
string<date-time>

Timestamp of the most recent failed delivery.

lastSuccessAt
string<date-time>

Timestamp of the most recent successful delivery.